Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.dom
Class DomEntityReference

    java.lang.Object
      |
      +--gnu.xml.dom.DomNode
            |
            +--gnu.xml.dom.DomEntityReference

All Implemented Interfaces:
  java.lang.Cloneable, DocumentEvent, EntityReference, EventTarget, Node, NodeList

public class DomEntityReference
extends DomNode
implements EntityReference

"EntityReference" implementation (reference to parsed entity). This is a non-core DOM class, supporting the "XML" feature. It does not represent builtin entities (such as "&amp;") or character references, which are always directly expanded in DOM trees.

Note that while the DOM specification permits these nodes to have a readonly set of children, this is not required. Similarly, it does not require a DOM to couple EntityReference nodes with any Entity nodes that have the same entity name (and equivalent children). It also effectively guarantees that references created directly or indirectly through the Document.ImportNode method will not have children. The level of functionality you may get is extremely variable.

Also significant is that even at their most functional level, the fact that EntityReference children must be readonly has caused significant problems when modifying work products held in DOM trees. Other problems include issues related to undeclared namespace prefixes (and references to the current default namespace) that may be found in the text of such parsed entities nodes. These must be contextually bound as part of DOM tree construction. When such nodes are moved, the namespace associated with a given prefix (or default) may change to be in conflict with the namespace bound to the node at creation time.

In short, avoid using this DOM functionality.

Version:
  $Date: 2001/11/20 04:53:46 $
Author:
  David Brownell
See Also:
  `DomDoctype`, `DomEntity`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `DomEntityReference(Document owner, java.lang.String name)` Constructs an EntityReference node associated with the specified document.

Method Summary
`java.lang.String` | `getNodeName()` DOM L1 Returns the name of the referenced entity.
`short` | `getNodeType()` DOM L1 Returns the constant ENTITY_REFERENCE_NODE.

Methods inherited from class gnu.xml.dom.DomNode
`addEventListener, appendChild, clone, cloneNode, compact, createEvent, dispatchEvent, getAttributes, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, getLength, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isReadonly, isSupported, item, makeReadonly, nameAndTypeEquals, normalize, removeChild, removeEventListener, replaceChild, setNodeValue, setPrefix, trimToSize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### DomEntityReference

    protected DomEntityReference(Document owner,
                                 java.lang.String name)

  Constructs an EntityReference node associated with the specified document. The creator should populate this with whatever contents are appropriate, and then mark it as readonly.

  This constructor should only be invoked by a Document as part of its createEntityReference functionality, or through a subclass which is similarly used in a "Sub-DOM" style layer.

  See Also:
    `DomNode.makeReadonly()`

Method Detail

### getNodeName

    public final java.lang.String getNodeName()

  DOM L1 Returns the name of the referenced entity.
  Specified by:
    `getNodeName` in interface `Node`

### getNodeType

    public final short getNodeType()

  DOM L1 Returns the constant ENTITY_REFERENCE_NODE.
  Specified by:
    `getNodeType` in interface `Node`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.